>================================================<
asload - Afterstep load gauge
Updated, cleaned up and "fixed"
==================================================
VERSION: 0.9.2
RELEASE DATE: 17 July 1997

	-Minor cosmetic changes.
	 The graph zone is now perfectly square, 54x54.
	 <I didn't like it's odd width! (;-)>
	
	-All values dealing with pixmap size have been
	 adjusted to accomodate the new `look'.

VERSION: 0.9.1
RELEASE DATE: 8 July 1997

	-Uses correct ordering of PROC data.

	-Increases the differentiation between tones,
	 just a smidgion.

	-Catches a "Once In A Blue Moon" condition.
	   Under various circumstances rounding error
	   results in a pixel count of 55 or 53.
	   To prevent the 55 count from writing one
	   pixel into the edge of the frame, wmload
	   now catches these occurrences and corrects
	   for them.

VERSION: 0.9.0
RELEASE DATE: 6 July 1997

	-Fixed the grayscale problem that occurred
	 whenever the "-shape" argument was used.

	-Implemented the "-led" argument...
	 ...the last release had the argument,
	 however it wasn't implemented...
	 ...ie: it did nothing.
	 Called without the "-led" argument, wmload
	 uses it's default color "LightSeaGreen"
	 [which is the same as the asclock readout].
	 Called with the argument, it uses the
	 named color. If the default color is
	 unavailable, or the named color is invalid,
	 wmload simply uses the 3 green tones
	 found in the "back.xpm" pixmap.

	-Added a "-ver" argument...
	 When used, it prints the current version
	 on stdout. If it is called alone with no
	 other arguments, wmload exits after
	 printing its' version. Called with other
	 arguments... wmload prints its' version
	 and continues as normal.

	-Trapped bad arguments that don't start
	 with "-".

	-Cleaned up the code a bit.

	-Removed unnecessary files from the
	 distribution. <kept README's though>

NOTE:
	This is a load monitor which is designed
	to work with the PROC filesystem. Generally
	all Linux systems come with the PROC fs.
	If you're using a different Unix and it
	doesn't have the PROC fs, first see if
	there is one available... otherwise this
	monitor won't work!
	Work is currently underway to produce a
	more `portable'	wmload that Solaris/Sun/HP etc.
	users can also enjoy.

INSTALL:
	1. Check the Imakefile to see if all the
	   LIBS are ok for your system.
	   ALSO, check DESTDIR and BINDIR; as they
	   are now, a `make install' will put the
	   wmload binary in /usr/local/bin.
	2. `xmkmf'
	3. `make'
	4. `make install'
	5. Enjoy!!!! (;-)

SUGGESTED INVOCATION (for WindowMaker!):
	`wmload -shape -withdrawn &'

	OR for a different graph color:
	`wmload -led ??? -shape -withdrawn &'
	...replace "???" with a color name
	eg. green, red, orange, yellow, orchid, purple....
	any of your systems standard X color symbols.

SUGGESTED INVOCATION (for AfterStep):
	To load asload in Wharf, add a line in .steprc:
*Wharf asload nil MaxSwallow "asload" asload -led green -shape &
	...or to run it as a normal app: asload -led "???" &
	NOTE: AfterStep doesn't require the "-withdrawn" option.

AVAILABILITY:
	The latest release should be available from:
		ftp://afterstep.foo.net/pub/apps/wmload/
		http://www.bc1.com/users/rland/

TODO LIST:
	-Implement alternative `load' algorithms?

LIABILITY & USABILITY:
	As usual, this software is bound by the
	GNU public license. You can use it however
	you see fit, as long as all the README's
	accompany any copy/version of it.
	THE KIND SOLES WHO HAVE WRITTEN/CONTRIBUTED
	TO THIS SOFTWARE, IN NO WAY ACCEPT LIABILITY
	OR ANY RESPONSIBILITY FOR THE USE OF, OR FOR
	ANY CONSEQUENCES RESULTING FROM THE USE OF
	THIS SOFTWARE.
	...that having been said, I think you'll
	like this new version and shouldn't have
	problems with it. Happy load monitoring!

FEEDBACK etc:
	Maintainer of the current version...
	Ryan Land, rland@bc1.com

The contents of the initial WM patch and original
asload README's now follow...

>================================================<
wmload - WindowMaker performance monitor
adapted from asload by Nic Bernstein
==================================================
	added withdrawn option, added WM hints.
	changed trace color


original README contents follow...

>================================================<
asload - afterstep performance monitor
the best perfmonitor for the best X-windowmanager!
==================================================

RELEASE 1
      30th November 1996
      by Beat Christen, bchriste@iiic.ethz.ch 


VERSION 0.1


AVAILABILITY
     the latest release should be available from

     ftp://sunsite.unc.edu/pub/Linux/X11/xutils/asload.tgz
     http://rif3.ethz.ch:1313/spiff/asload/asload.tgz

INSTALL
     1. Check in the Imakefile if all LIBS are ok for your system.
     2. `make` (Send me the output if this fails)


TODO 
    write a todo list.

FEEDBACK
    I prefer uuencoded mail.
    You can register this software at
      http://rif3.ethz.ch:1313/spiff/asload/register.html

AUTHOR
    Beat Christen

CONTRIBUTORS

CHANGES
    28Nov96  First Version for Linux /proc

END OF FILE
